---
schema_version: "1"
id: af862d72a1e9f5e511cb0b670bd02e5872426689c3e43b1d1904aa39f8c749be
title: Get Global Publisher Layouts and Descriptions
collection: developer
version: current
locale: en-us
portal_url: https://docs.salesforce.com/developer/current/en-us/platform/api-rest/guides/resources/resources-sobject-layouts-global-get.md
canonical_url: https://developer.salesforce.com/docs/platform/api-rest/guide/resources-sobject-layouts-global-get.html
source_site: developer.salesforce.com
content_type: documentation
content_hash: fe91795ed896dea762f5de5f6be7f9d227b78a988ee4e91bdf0761a51199cd75
products:
  - REST API Developer Guide
  - Platform Developer Content
---

# Get Global Publisher Layouts and Descriptions

Retrieves lists of global publisher layouts and their descriptions. Global publisher layouts customize the actions on global pages (like the Home page). In Lightning Experience, these layouts populate the Global Actions menu.

## Syntax

**URI:** `/services/data/vXX.X/sobjects/Global/describe/layouts/`

**Formats:** JSON, XML

**HTTP Method:** GET

**Authentication:** `Authorization: Bearer token`

**Parameters:** None required

## Example

**Example Request**

```nolang
curl https://MyDomainName.my.salesforce.com/services/data/v68.0/sobjects/Global/describe/layouts/ -H "Authorization: Bearer token"
```

**Example Response Body**

```nolang
{
  "layouts": [
    {
      "buttonLayoutSection": null,
      "detailLayoutSections": [],
      "editLayoutSections": [],
      "feedView": null,
      "highlightsPanelLayoutSection": null,
      "id": "00hRO000000Mo6jYAC",
      "multirowEditLayoutSections": [],
      "offlineLinks": [],
      "quickActionList": {
        "quickActionListItems": [
          {
            "accessLevelRequired": null,
            "colors": [
              {
                "color": "65CAE4",
                "context": "primary",
                "theme": "theme4"
              }
            ],
            "iconUrl": null,
            "icons": [
              {
                "contentType": "image/svg+xml",
                "height": 0,
                "theme": "theme4",
                "url": "https://rockyroads.test1.my.pc-rnd.salesforce.com/img/icon/t4v35/action/share_post.svg",
                "width": 0
              },
               ...
            ],
            "label": "Post",
            "miniIconUrl": "",
            "quickActionName": "FeedItem.TextPost",
            "targetSobjectType": null,
            "type": "Post",
            "urls": {}
          },
          ...
        ]
      },
      "relatedContent": null,
      "relatedLists": [],
      "saveOptions": []
    }
  ],
  "recordTypeMappings": [],
  "recordTypeSelectorRequired": [
    false
  ]
}

```

